com.collabnet.ce.soap60.webservices.monitoring

## Class MonitoringAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.monitoring.MonitoringAppSoapMockStub

- All Implemented Interfaces:
    IMonitoringAppSoap

      public class MonitoringAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements IMonitoringAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `fromSubscriptionTypeInt(int subscriptionType)` Simulate a call to fromSubscriptionTypeInt
    `int` | `getApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, String loggedInUser)` Simulate a call to getApplicationMonitoringNotificationPreference
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getApplicationMonitoringNotificationPreferences(String sessionId, String projectId)` Simulate a call to getApplicationMonitoringNotificationPreferences
    `com.vasoftware.sf.server.types.FolderKey` | `getApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, String loggedInUser)` Simulate a call to getApplicationRootFolderKey
    `int` | `getMonitoringNotificationPreference(String sessionId)` Simulate a call to getMonitoringNotificationPreference
    `MonitoringSubscriptionSoapDO` | `getMonitoringSubscription(String sessionId, String objectId)` Simulate a call to getMonitoringSubscription
    `MonitoringSubscriptionSoapDO` | `getMonitoringSubscriptionByUser(String sessionId, String objectId, String userName)` Simulate a call to getMonitoringSubscriptionByUser
    `MonitoringSubscriptionSoapList` | `getMonitoringSubscriptions(String sessionId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getMonitoringSubscriptions
    `MonitoringSubscriptionSoapList` | `getMonitoringSubscriptionsByUser(String sessionId, String userName, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Simulate a call to getMonitoringSubscriptionsByUser
    `com.vasoftware.sf.server.types.ObjectKey` | `getObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey objKey, String adminOperationName, String loggedInUser)` Simulate a call to getObjectKeyForAdminVerification
    `com.vasoftware.sf.common.access.rbac.Operation` | `getOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey objKey, com.vasoftware.sf.server.types.Path objPath, String permission, String loggedInUser)` Simulate a call to getOperationForMonitoring
    `boolean` | `isMonitoring(String sessionId, String objectId)` Simulate a call to isMonitoring
    `boolean` | `isUserMonitoring(String sessionId, String userName, String objectId)` Simulate a call to isUserMonitoring
    `MonitoringUserSoapList` | `listMonitoringUsers(String sessionId, String objectId)` Simulate a call to listMonitoringUsers
    `void` | `prepareFromSubscriptionTypeInt(int subscriptionType, Object returnValue)` Prepare a simulated response to fromSubscriptionTypeInt
    `void` | `prepareGetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, String loggedInUser, Object returnValue)` Prepare a simulated response to getApplicationMonitoringNotificationPreference
    `void` | `prepareGetApplicationMonitoringNotificationPreferences(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getApplicationMonitoringNotificationPreferences
    `void` | `prepareGetApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, String loggedInUser, Object returnValue)` Prepare a simulated response to getApplicationRootFolderKey
    `void` | `prepareGetMonitoringNotificationPreference(String sessionId, Object returnValue)` Prepare a simulated response to getMonitoringNotificationPreference
    `void` | `prepareGetMonitoringSubscription(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to getMonitoringSubscription
    `void` | `prepareGetMonitoringSubscriptionByUser(String sessionId, String objectId, String userName, Object returnValue)` Prepare a simulated response to getMonitoringSubscriptionByUser
    `void` | `prepareGetMonitoringSubscriptions(String sessionId, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getMonitoringSubscriptions
    `void` | `prepareGetMonitoringSubscriptionsByUser(String sessionId, String userName, com.collabnet.ce.soap60.types.SoapFilter[] filters, Object returnValue)` Prepare a simulated response to getMonitoringSubscriptionsByUser
    `void` | `prepareGetObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey objKey, String adminOperationName, String loggedInUser, Object returnValue)` Prepare a simulated response to getObjectKeyForAdminVerification
    `void` | `prepareGetOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey objKey, com.vasoftware.sf.server.types.Path objPath, String permission, String loggedInUser, Object returnValue)` Prepare a simulated response to getOperationForMonitoring
    `void` | `prepareIsMonitoring(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to isMonitoring
    `void` | `prepareIsUserMonitoring(String sessionId, String userName, String objectId, Object returnValue)` Prepare a simulated response to isUserMonitoring
    `void` | `prepareListMonitoringUsers(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to listMonitoringUsers
    `void` | `prepareSetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, int preference, String loggedInUser)` Prepare a simulated response to setApplicationMonitoringNotificationPreference
    `void` | `prepareSetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, int preference, String loggedInUser, Exception exception)` Prepare a simulated response to setApplicationMonitoringNotificationPreference
    `void` | `prepareSetApplicationMonitoringNotificationPreferences(String sessionId, String projectId, com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)` Prepare a simulated response to setApplicationMonitoringNotificationPreferences
    `void` | `prepareSetApplicationMonitoringNotificationPreferences(String sessionId, String projectId, com.collabnet.ce.soap60.types.SoapNamedValues appPreferences, Exception exception)` Prepare a simulated response to setApplicationMonitoringNotificationPreferences
    `void` | `prepareSetMonitoringNotificationPreference(String sessionId, int preference)` Prepare a simulated response to setMonitoringNotificationPreference
    `void` | `prepareSetMonitoringNotificationPreference(String sessionId, int preference, Exception exception)` Prepare a simulated response to setMonitoringNotificationPreference
    `void` | `prepareStartMonitoring(String sessionId, String objectId)` Prepare a simulated response to startMonitoring
    `void` | `prepareStartMonitoring(String sessionId, String objectId, Exception exception)` Prepare a simulated response to startMonitoring
    `void` | `prepareStartMonitoringByUser(String sessionId, String userName, String objectId)` Prepare a simulated response to startMonitoringByUser
    `void` | `prepareStartMonitoringByUser(String sessionId, String userName, String objectId, Exception exception)` Prepare a simulated response to startMonitoringByUser
    `void` | `prepareStopMonitoring(String sessionId, String objectId)` Prepare a simulated response to stopMonitoring
    `void` | `prepareStopMonitoring(String sessionId, String objectId, Exception exception)` Prepare a simulated response to stopMonitoring
    `void` | `prepareStopMonitoringByUser(String sessionId, String userName, String objectId)` Prepare a simulated response to stopMonitoringByUser
    `void` | `prepareStopMonitoringByUser(String sessionId, String userName, String objectId, Exception exception)` Prepare a simulated response to stopMonitoringByUser
    `void` | `prepareToSubscriptionTypeInt(String subscriptionType, Object returnValue)` Prepare a simulated response to toSubscriptionTypeInt
    `void` | `prepareVerifyDocumentReviewObjectPermission(String userName, com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser)` Prepare a simulated response to verifyDocumentReviewObjectPermission
    `void` | `prepareVerifyDocumentReviewObjectPermission(String userName, com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser, Exception exception)` Prepare a simulated response to verifyDocumentReviewObjectPermission
    `void` | `prepareVerifyPermission(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionNameForUser, String permissionNameForCurrentUser, String loggedInUser)` Prepare a simulated response to verifyPermission
    `void` | `prepareVerifyPermission(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionNameForUser, String permissionNameForCurrentUser, String loggedInUser, Exception exception)` Prepare a simulated response to verifyPermission
    `void` | `prepareVerifyPermissionForMonitoring(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionName, String loggedInUser)` Prepare a simulated response to verifyPermissionForMonitoring
    `void` | `prepareVerifyPermissionForMonitoring(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionName, String loggedInUser, Exception exception)` Prepare a simulated response to verifyPermissionForMonitoring
    `void` | `prepareVerifyPlanningFolderPermission(String userName, com.vasoftware.sf.server.types.PlanningFolderKey pfKey, String permission, String loggedInUser)` Prepare a simulated response to verifyPlanningFolderPermission
    `void` | `prepareVerifyPlanningFolderPermission(String userName, com.vasoftware.sf.server.types.PlanningFolderKey pfKey, String permission, String loggedInUser, Exception exception)` Prepare a simulated response to verifyPlanningFolderPermission
    `void` | `setApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath, String appName, int preference, String loggedInUser)` Simulate a call to setApplicationMonitoringNotificationPreference
    `void` | `setApplicationMonitoringNotificationPreferences(String sessionId, String projectId, com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)` Simulate a call to setApplicationMonitoringNotificationPreferences
    `void` | `setMonitoringNotificationPreference(String sessionId, int preference)` Simulate a call to setMonitoringNotificationPreference
    `void` | `startMonitoring(String sessionId, String objectId)` Simulate a call to startMonitoring
    `void` | `startMonitoringByUser(String sessionId, String userName, String objectId)` Simulate a call to startMonitoringByUser
    `void` | `stopMonitoring(String sessionId, String objectId)` Simulate a call to stopMonitoring
    `void` | `stopMonitoringByUser(String sessionId, String userName, String objectId)` Simulate a call to stopMonitoringByUser
    `int` | `toSubscriptionTypeInt(String subscriptionType)` Simulate a call to toSubscriptionTypeInt
    `void` | `verifyDocumentReviewObjectPermission(String userName, com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser)` Simulate a call to verifyDocumentReviewObjectPermission
    `void` | `verifyPermission(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionNameForUser, String permissionNameForCurrentUser, String loggedInUser)` Simulate a call to verifyPermission
    `void` | `verifyPermissionForMonitoring(String userName, com.vasoftware.sf.server.types.ObjectKey objectKey, com.vasoftware.sf.server.types.Path objPath, String permissionName, String loggedInUser)` Simulate a call to verifyPermissionForMonitoring
    `void` | `verifyPlanningFolderPermission(String userName, com.vasoftware.sf.server.types.PlanningFolderKey pfKey, String permission, String loggedInUser)` Simulate a call to verifyPlanningFolderPermission

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitoringAppSoapMockStub

          public MonitoringAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareIsMonitoring

          public void prepareIsMonitoring(String sessionId,
                                          String objectId,
                                          Object returnValue)

      Prepare a simulated response to isMonitoring
      See Also:
        `MonitoringAppSoap.isMonitoring(java.lang.String, java.lang.String)`

    - #### isMonitoring

          public boolean isMonitoring(String sessionId,
                                      String objectId)
                               throws RemoteException

      Simulate a call to isMonitoring
      Specified by:
        `isMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id for which we are doing the check
      Returns:
        whether the current user is monitoring the specified object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.isMonitoring(java.lang.String, java.lang.String)`

    - #### prepareIsUserMonitoring

          public void prepareIsUserMonitoring(String sessionId,
                                              String userName,
                                              String objectId,
                                              Object returnValue)

      Prepare a simulated response to isUserMonitoring
      See Also:
        `MonitoringAppSoap.isUserMonitoring(java.lang.String, java.lang.String, java.lang.String)`

    - #### isUserMonitoring

          public boolean isUserMonitoring(String sessionId,
                                          String userName,
                                          String objectId)
                                   throws RemoteException

      Simulate a call to isUserMonitoring
      Specified by:
        `isUserMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id for which we are doing the check
      Returns:
        whether the specified user is monitoring the specified object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName isn't the current user, and current user can't view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified userName is invalid.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.isUserMonitoring(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareStopMonitoring

          public void prepareStopMonitoring(String sessionId,
                                            String objectId)

      Prepare a simulated response to stopMonitoring
      See Also:
        `MonitoringAppSoap.stopMonitoring(java.lang.String, java.lang.String)`

    - #### prepareStopMonitoring

          public void prepareStopMonitoring(String sessionId,
                                            String objectId,
                                            Exception exception)

      Prepare a simulated response to stopMonitoring
      See Also:
        `MonitoringAppSoap.stopMonitoring(java.lang.String, java.lang.String)`

    - #### stopMonitoring

          public void stopMonitoring(String sessionId,
                                     String objectId)
                              throws RemoteException

      Simulate a call to stopMonitoring
      Specified by:
        `stopMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id which current user will stop monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not enough permission on the given object.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.stopMonitoring(java.lang.String, java.lang.String)`

    - #### prepareStopMonitoringByUser

          public void prepareStopMonitoringByUser(String sessionId,
                                                  String userName,
                                                  String objectId)

      Prepare a simulated response to stopMonitoringByUser
      See Also:
        `MonitoringAppSoap.stopMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareStopMonitoringByUser

          public void prepareStopMonitoringByUser(String sessionId,
                                                  String userName,
                                                  String objectId,
                                                  Exception exception)

      Prepare a simulated response to stopMonitoringByUser
      See Also:
        `MonitoringAppSoap.stopMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### stopMonitoringByUser

          public void stopMonitoringByUser(String sessionId,
                                           String userName,
                                           String objectId)
                                    throws RemoteException

      Simulate a call to stopMonitoringByUser
      Specified by:
        `stopMonitoringByUser` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `userName` - user name of the user who needs to stop monitoring
        `objectId` - the object id which the given user will stop monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName isn't the current user, and current user doesn't have admin perm. on the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified user name is invalid.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when site is configured not to allow removing users from monitoring.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.stopMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareStartMonitoring

          public void prepareStartMonitoring(String sessionId,
                                             String objectId)

      Prepare a simulated response to startMonitoring
      See Also:
        `MonitoringAppSoap.startMonitoring(java.lang.String, java.lang.String)`

    - #### prepareStartMonitoring

          public void prepareStartMonitoring(String sessionId,
                                             String objectId,
                                             Exception exception)

      Prepare a simulated response to startMonitoring
      See Also:
        `MonitoringAppSoap.startMonitoring(java.lang.String, java.lang.String)`

    - #### startMonitoring

          public void startMonitoring(String sessionId,
                                      String objectId)
                               throws RemoteException

      Simulate a call to startMonitoring
      Specified by:
        `startMonitoring` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id which current user will start monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can't view the object,
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.startMonitoring(java.lang.String, java.lang.String)`

    - #### prepareStartMonitoringByUser

          public void prepareStartMonitoringByUser(String sessionId,
                                                   String userName,
                                                   String objectId)

      Prepare a simulated response to startMonitoringByUser
      See Also:
        `MonitoringAppSoap.startMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareStartMonitoringByUser

          public void prepareStartMonitoringByUser(String sessionId,
                                                   String userName,
                                                   String objectId,
                                                   Exception exception)

      Prepare a simulated response to startMonitoringByUser
      See Also:
        `MonitoringAppSoap.startMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### startMonitoringByUser

          public void startMonitoringByUser(String sessionId,
                                            String userName,
                                            String objectId)
                                     throws RemoteException

      Simulate a call to startMonitoringByUser
      Specified by:
        `startMonitoringByUser` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `userName` - user name of the user who needs to monitor
        `objectId` - the object id which the given user will start monitoring
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when userName does not have view permission on the object, when userName isn't the current user, and current user doesn't have admin perm. on the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the given user name is not valid.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.startMonitoringByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareListMonitoringUsers

          public void prepareListMonitoringUsers(String sessionId,
                                                 String objectId,
                                                 Object returnValue)

      Prepare a simulated response to listMonitoringUsers
      See Also:
        `MonitoringAppSoap.listMonitoringUsers(java.lang.String, java.lang.String)`

    - #### listMonitoringUsers

          public MonitoringUserSoapList listMonitoringUsers(String sessionId,
                                                            String objectId)
                                                     throws RemoteException

      Simulate a call to listMonitoringUsers
      Specified by:
        `listMonitoringUsers` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - the object id
      Returns:
        List of users monitoring the specified object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can't view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.listMonitoringUsers(java.lang.String, java.lang.String)`

    - #### prepareGetMonitoringSubscriptions

          public void prepareGetMonitoringSubscriptions(String sessionId,
                                                        com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                        Object returnValue)

      Prepare a simulated response to getMonitoringSubscriptions
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptions(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getMonitoringSubscriptions

          public MonitoringSubscriptionSoapList getMonitoringSubscriptions(String sessionId,
                                                                           com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                                    throws RemoteException

      Simulate a call to getMonitoringSubscriptions
      Specified by:
        `getMonitoringSubscriptions` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `filters` - Array of filters to apply (null to return unfiltered list).
      Returns:
        List of filtered monitoring subscriptions.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when an unsupported filter exists in the filter collection.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptions(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetMonitoringSubscriptionsByUser

          public void prepareGetMonitoringSubscriptionsByUser(String sessionId,
                                                              String userName,
                                                              com.collabnet.ce.soap60.types.SoapFilter[] filters,
                                                              Object returnValue)

      Prepare a simulated response to getMonitoringSubscriptionsByUser
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptionsByUser(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### getMonitoringSubscriptionsByUser

          public MonitoringSubscriptionSoapList getMonitoringSubscriptionsByUser(String sessionId,
                                                                                 String userName,
                                                                                 com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                                                          throws RemoteException

      Simulate a call to getMonitoringSubscriptionsByUser
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptionsByUser(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapFilter[])`

    - #### prepareGetMonitoringSubscription

          public void prepareGetMonitoringSubscription(String sessionId,
                                                       String objectId,
                                                       Object returnValue)

      Prepare a simulated response to getMonitoringSubscription
      See Also:
        `MonitoringAppSoap.getMonitoringSubscription(java.lang.String, java.lang.String)`

    - #### getMonitoringSubscription

          public MonitoringSubscriptionSoapDO getMonitoringSubscription(String sessionId,
                                                                        String objectId)
                                                                 throws RemoteException

      Simulate a call to getMonitoringSubscription
      Specified by:
        `getMonitoringSubscription` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Id of the object
      Returns:
        The subscription data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getMonitoringSubscription(java.lang.String, java.lang.String)`

    - #### prepareGetMonitoringSubscriptionByUser

          public void prepareGetMonitoringSubscriptionByUser(String sessionId,
                                                             String objectId,
                                                             String userName,
                                                             Object returnValue)

      Prepare a simulated response to getMonitoringSubscriptionByUser
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptionByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### getMonitoringSubscriptionByUser

          public MonitoringSubscriptionSoapDO getMonitoringSubscriptionByUser(String sessionId,
                                                                              String objectId,
                                                                              String userName)
                                                                       throws RemoteException

      Simulate a call to getMonitoringSubscriptionByUser
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getMonitoringSubscriptionByUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetMonitoringNotificationPreference

          public void prepareGetMonitoringNotificationPreference(String sessionId,
                                                                 Object returnValue)

      Prepare a simulated response to getMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.getMonitoringNotificationPreference(java.lang.String)`

    - #### getMonitoringNotificationPreference

          public int getMonitoringNotificationPreference(String sessionId)
                                                  throws RemoteException

      Simulate a call to getMonitoringNotificationPreference
      Specified by:
        `getMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
      Returns:
        Subscription type; 1:email, 2:digest, 3:none, 0 otherwise
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getMonitoringNotificationPreference(java.lang.String)`

    - #### prepareSetMonitoringNotificationPreference

          public void prepareSetMonitoringNotificationPreference(String sessionId,
                                                                 int preference)

      Prepare a simulated response to setMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.setMonitoringNotificationPreference(java.lang.String, int)`

    - #### prepareSetMonitoringNotificationPreference

          public void prepareSetMonitoringNotificationPreference(String sessionId,
                                                                 int preference,
                                                                 Exception exception)

      Prepare a simulated response to setMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.setMonitoringNotificationPreference(java.lang.String, int)`

    - #### setMonitoringNotificationPreference

          public void setMonitoringNotificationPreference(String sessionId,
                                                          int preference)
                                                   throws RemoteException

      Simulate a call to setMonitoringNotificationPreference
      Specified by:
        `setMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `preference` - Integer value representing the subscription type; 1:email, 2:digest, 3:none
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.setMonitoringNotificationPreference(java.lang.String, int)`

    - #### prepareSetApplicationMonitoringNotificationPreferences

          public void prepareSetApplicationMonitoringNotificationPreferences(String sessionId,
                                                                             String projectId,
                                                                             com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)

      Prepare a simulated response to setApplicationMonitoringNotificationPreferences
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreferences(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### prepareSetApplicationMonitoringNotificationPreferences

          public void prepareSetApplicationMonitoringNotificationPreferences(String sessionId,
                                                                             String projectId,
                                                                             com.collabnet.ce.soap60.types.SoapNamedValues appPreferences,
                                                                             Exception exception)

      Prepare a simulated response to setApplicationMonitoringNotificationPreferences
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreferences(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### setApplicationMonitoringNotificationPreferences

          public void setApplicationMonitoringNotificationPreferences(String sessionId,
                                                                      String projectId,
                                                                      com.collabnet.ce.soap60.types.SoapNamedValues appPreferences)
                                                               throws RemoteException

      Simulate a call to setApplicationMonitoringNotificationPreferences
      Specified by:
        `setApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project id
        `appPreferences` - Application preferences.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid, when an application name is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the application preferences are invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user can view the object.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreferences(java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### prepareGetApplicationMonitoringNotificationPreferences

          public void prepareGetApplicationMonitoringNotificationPreferences(String sessionId,
                                                                             String projectId,
                                                                             Object returnValue)

      Prepare a simulated response to getApplicationMonitoringNotificationPreferences
      See Also:
        `MonitoringAppSoap.getApplicationMonitoringNotificationPreferences(java.lang.String, java.lang.String)`

    - #### getApplicationMonitoringNotificationPreferences

          public com.collabnet.ce.soap60.types.SoapNamedValues getApplicationMonitoringNotificationPreferences(String sessionId,
                                                                                                               String projectId)
                                                                                                        throws RemoteException

      Simulate a call to getApplicationMonitoringNotificationPreferences
      Specified by:
        `getApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project id
      Returns:
        SoapNamedValues which includes notification preferences for project applications
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getApplicationMonitoringNotificationPreferences(java.lang.String, java.lang.String)`

    - #### prepareGetApplicationMonitoringNotificationPreference

          public void prepareGetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                            String appName,
                                                                            String loggedInUser,
                                                                            Object returnValue)

      Prepare a simulated response to getApplicationMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.getApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, java.lang.String)`

    - #### getApplicationMonitoringNotificationPreference

          public int getApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                    String appName,
                                                                    String loggedInUser)
                                                             throws RemoteException

      Simulate a call to getApplicationMonitoringNotificationPreference
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, java.lang.String)`

    - #### prepareSetApplicationMonitoringNotificationPreference

          public void prepareSetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                            String appName,
                                                                            int preference,
                                                                            String loggedInUser)

      Prepare a simulated response to setApplicationMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, int, java.lang.String)`

    - #### prepareSetApplicationMonitoringNotificationPreference

          public void prepareSetApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                            String appName,
                                                                            int preference,
                                                                            String loggedInUser,
                                                                            Exception exception)

      Prepare a simulated response to setApplicationMonitoringNotificationPreference
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, int, java.lang.String)`

    - #### setApplicationMonitoringNotificationPreference

          public void setApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                     String appName,
                                                                     int preference,
                                                                     String loggedInUser)
                                                              throws RemoteException

      Simulate a call to setApplicationMonitoringNotificationPreference
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.setApplicationMonitoringNotificationPreference(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, int, java.lang.String)`

    - #### prepareGetApplicationRootFolderKey

          public void prepareGetApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                         String appName,
                                                         String loggedInUser,
                                                         Object returnValue)

      Prepare a simulated response to getApplicationRootFolderKey
      See Also:
        `MonitoringAppSoap.getApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, java.lang.String)`

    - #### getApplicationRootFolderKey

          public com.vasoftware.sf.server.types.FolderKey getApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                                                      String appName,
                                                                                      String loggedInUser)
                                                                               throws RemoteException

      Simulate a call to getApplicationRootFolderKey
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getApplicationRootFolderKey(com.vasoftware.sf.server.types.ProjectPath, java.lang.String, java.lang.String)`

    - #### prepareVerifyPermission

          public void prepareVerifyPermission(String userName,
                                              com.vasoftware.sf.server.types.ObjectKey objectKey,
                                              com.vasoftware.sf.server.types.Path objPath,
                                              String permissionNameForUser,
                                              String permissionNameForCurrentUser,
                                              String loggedInUser)

      Prepare a simulated response to verifyPermission
      See Also:
        `MonitoringAppSoap.verifyPermission(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareVerifyPermission

          public void prepareVerifyPermission(String userName,
                                              com.vasoftware.sf.server.types.ObjectKey objectKey,
                                              com.vasoftware.sf.server.types.Path objPath,
                                              String permissionNameForUser,
                                              String permissionNameForCurrentUser,
                                              String loggedInUser,
                                              Exception exception)

      Prepare a simulated response to verifyPermission
      See Also:
        `MonitoringAppSoap.verifyPermission(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String, java.lang.String)`

    - #### verifyPermission

          public void verifyPermission(String userName,
                                       com.vasoftware.sf.server.types.ObjectKey objectKey,
                                       com.vasoftware.sf.server.types.Path objPath,
                                       String permissionNameForUser,
                                       String permissionNameForCurrentUser,
                                       String loggedInUser)
                                throws RemoteException

      Simulate a call to verifyPermission
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.verifyPermission(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareVerifyPermissionForMonitoring

          public void prepareVerifyPermissionForMonitoring(String userName,
                                                           com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                           com.vasoftware.sf.server.types.Path objPath,
                                                           String permissionName,
                                                           String loggedInUser)

      Prepare a simulated response to verifyPermissionForMonitoring
      See Also:
        `MonitoringAppSoap.verifyPermissionForMonitoring(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String)`

    - #### prepareVerifyPermissionForMonitoring

          public void prepareVerifyPermissionForMonitoring(String userName,
                                                           com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                           com.vasoftware.sf.server.types.Path objPath,
                                                           String permissionName,
                                                           String loggedInUser,
                                                           Exception exception)

      Prepare a simulated response to verifyPermissionForMonitoring
      See Also:
        `MonitoringAppSoap.verifyPermissionForMonitoring(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String)`

    - #### verifyPermissionForMonitoring

          public void verifyPermissionForMonitoring(String userName,
                                                    com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                    com.vasoftware.sf.server.types.Path objPath,
                                                    String permissionName,
                                                    String loggedInUser)
                                             throws RemoteException

      Simulate a call to verifyPermissionForMonitoring
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.verifyPermissionForMonitoring(java.lang.String, com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String)`

    - #### prepareGetOperationForMonitoring

          public void prepareGetOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey objKey,
                                                       com.vasoftware.sf.server.types.Path objPath,
                                                       String permission,
                                                       String loggedInUser,
                                                       Object returnValue)

      Prepare a simulated response to getOperationForMonitoring
      See Also:
        `MonitoringAppSoap.getOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String)`

    - #### getOperationForMonitoring

          public com.vasoftware.sf.common.access.rbac.Operation getOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey objKey,
                                                                                          com.vasoftware.sf.server.types.Path objPath,
                                                                                          String permission,
                                                                                          String loggedInUser)
                                                                                   throws RemoteException

      Simulate a call to getOperationForMonitoring
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getOperationForMonitoring(com.vasoftware.sf.server.types.ObjectKey, com.vasoftware.sf.server.types.Path, java.lang.String, java.lang.String)`

    - #### prepareVerifyDocumentReviewObjectPermission

          public void prepareVerifyDocumentReviewObjectPermission(String userName,
                                                                  com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                                  String permission,
                                                                  String loggedInUser)

      Prepare a simulated response to verifyDocumentReviewObjectPermission
      See Also:
        `MonitoringAppSoap.verifyDocumentReviewObjectPermission(java.lang.String, com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyDocumentReviewObjectPermission

          public void prepareVerifyDocumentReviewObjectPermission(String userName,
                                                                  com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                                  String permission,
                                                                  String loggedInUser,
                                                                  Exception exception)

      Prepare a simulated response to verifyDocumentReviewObjectPermission
      See Also:
        `MonitoringAppSoap.verifyDocumentReviewObjectPermission(java.lang.String, com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### verifyDocumentReviewObjectPermission

          public void verifyDocumentReviewObjectPermission(String userName,
                                                           com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                           String permission,
                                                           String loggedInUser)
                                                    throws RemoteException

      Simulate a call to verifyDocumentReviewObjectPermission
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.verifyDocumentReviewObjectPermission(java.lang.String, com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyPlanningFolderPermission

          public void prepareVerifyPlanningFolderPermission(String userName,
                                                            com.vasoftware.sf.server.types.PlanningFolderKey pfKey,
                                                            String permission,
                                                            String loggedInUser)

      Prepare a simulated response to verifyPlanningFolderPermission
      See Also:
        `MonitoringAppSoap.verifyPlanningFolderPermission(java.lang.String, com.vasoftware.sf.server.types.PlanningFolderKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyPlanningFolderPermission

          public void prepareVerifyPlanningFolderPermission(String userName,
                                                            com.vasoftware.sf.server.types.PlanningFolderKey pfKey,
                                                            String permission,
                                                            String loggedInUser,
                                                            Exception exception)

      Prepare a simulated response to verifyPlanningFolderPermission
      See Also:
        `MonitoringAppSoap.verifyPlanningFolderPermission(java.lang.String, com.vasoftware.sf.server.types.PlanningFolderKey, java.lang.String, java.lang.String)`

    - #### verifyPlanningFolderPermission

          public void verifyPlanningFolderPermission(String userName,
                                                     com.vasoftware.sf.server.types.PlanningFolderKey pfKey,
                                                     String permission,
                                                     String loggedInUser)
                                              throws RemoteException

      Simulate a call to verifyPlanningFolderPermission
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.verifyPlanningFolderPermission(java.lang.String, com.vasoftware.sf.server.types.PlanningFolderKey, java.lang.String, java.lang.String)`

    - #### prepareGetObjectKeyForAdminVerification

          public void prepareGetObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey objKey,
                                                              String adminOperationName,
                                                              String loggedInUser,
                                                              Object returnValue)

      Prepare a simulated response to getObjectKeyForAdminVerification
      See Also:
        `MonitoringAppSoap.getObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey, java.lang.String, java.lang.String)`

    - #### getObjectKeyForAdminVerification

          public com.vasoftware.sf.server.types.ObjectKey getObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey objKey,
                                                                                           String adminOperationName,
                                                                                           String loggedInUser)
                                                                                    throws RemoteException

      Simulate a call to getObjectKeyForAdminVerification
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.getObjectKeyForAdminVerification(com.vasoftware.sf.server.types.ObjectKey, java.lang.String, java.lang.String)`

    - #### prepareToSubscriptionTypeInt

          public void prepareToSubscriptionTypeInt(String subscriptionType,
                                                   Object returnValue)

      Prepare a simulated response to toSubscriptionTypeInt
      See Also:
        `MonitoringAppSoap.toSubscriptionTypeInt(java.lang.String)`

    - #### toSubscriptionTypeInt

          public int toSubscriptionTypeInt(String subscriptionType)
                                    throws RemoteException

      Simulate a call to toSubscriptionTypeInt
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.toSubscriptionTypeInt(java.lang.String)`

    - #### prepareFromSubscriptionTypeInt

          public void prepareFromSubscriptionTypeInt(int subscriptionType,
                                                     Object returnValue)

      Prepare a simulated response to fromSubscriptionTypeInt
      See Also:
        `MonitoringAppSoap.fromSubscriptionTypeInt(int)`

    - #### fromSubscriptionTypeInt

          public String fromSubscriptionTypeInt(int subscriptionType)
                                         throws RemoteException

      Simulate a call to fromSubscriptionTypeInt
      Throws:
        `RemoteException`
      See Also:
        `MonitoringAppSoap.fromSubscriptionTypeInt(int)`

Copyright © 2019 CollabNet. All rights reserved.